Issue #16000 has been updated by nobu (Nobuyoshi Nakada).

Description updated

As I guess:
* `tool/update-deps` takes a pretty long time
* adding dependencies is relatively rare
* saving temporary files would not be common
So it is optional now.

It has just started in these days, and I think it is better that somebody n=
otice the missing dependencies than that nobody notices them.
Please be patient for a while.

----------------------------------------
Bug #16000: How to avoid the need for updating dependencies manually
https://bugs.ruby-lang.org/issues/16000#change-79410

* Author: duerst (Martin D=FCrst)
* Status: Open
* Priority: Normal
* Assignee: nobu (Nobuyoshi Nakada)
* Target version: =

* ruby -v: =

* Backport: 2.5: UNKNOWN, 2.6: UNKNOWN
----------------------------------------
Earlier today, I committed 369ff79394765ce198ac7cee872a8c739d895aaa to addr=
ess issue #15995.

This did not lead to any testing failures, but to a dependency problem. As =
the source code was processed correctly and the tests worked, I did not exp=
ect such a dependency problem. It was fixed manually by Takashi Kokubun (th=
anks!) as follows:

```
  New Revision: 18603e9046

  https://github.com/ruby/ruby/commit/18603e9046

  Log:
    Update dependencies for 369ff79394765ce198ac7cee872a8c739d895aaa
    =

    Just copy-pasting diff from
    https://travis-ci.org/ruby/ruby/jobs/558407687

  Modified files:
    enc/depend.
```

I hope this can be fixed so that such errors can be avoided in the future.



-- =

https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=3Dunsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>